## ros-dashing-velodyne-pointcloud 2.0.0

=== tests/CMakeLists.txt ===
# these dependencies are only needed for unit testing
find_package(ament_cmake_gtest REQUIRED)

ament_add_gtest(test_row_step test_row_step.cpp)
ament_target_dependencies(test_row_step
  geometry_msgs
  rclcpp
  sensor_msgs
  tf2
  velodyne_msgs
)

# C++ gtests
# catkin_add_gtest(test_calibration test_calibration.cpp)
# add_dependencies(test_calibration ${catkin_EXPORTED_TARGETS})
# target_link_libraries(test_calibration velodyne_rawdata ${catkin_LIBRARIES})

# # Download packet capture (PCAP) files containing test data.
# # Store them in devel-space, so rostest can easily find them.
# catkin_download_test_data(
#   ${PROJECT_NAME}_tests_class.pcap
#   http://download.ros.org/data/velodyne/class.pcap
#   DESTINATION ${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_SHARE_DESTINATION}/tests
#   MD5 65808d25772101358a3719b451b3d015)
# catkin_download_test_data(
#   ${PROJECT_NAME}_tests_32e.pcap
#   http://download.ros.org/data/velodyne/32e.pcap
#   DESTINATION ${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_SHARE_DESTINATION}/tests
#   MD5 e41d02aac34f0967c03a5597e1d554a9)
# catkin_download_test_data(
#   ${PROJECT_NAME}_tests_64e_s2.1-300-sztaki.pcap
#   http://download.ros.org/data/velodyne/64e_s2.1-300-sztaki.pcap
#   DESTINATION ${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_SHARE_DESTINATION}/tests
#   MD5 176c900ffb698f9b948a13e281ffc1a2)
# catkin_download_test_data(
#   ${PROJECT_NAME}_tests_vlp16.pcap
#   http://download.ros.org/data/velodyne/vlp16.pcap
#   DESTINATION ${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_SHARE_DESTINATION}/tests
#   MD5 f45c2bb1d7ee358274e423ea3b66fd73)

# # run rostests
# add_rostest(cloud_node_hz.test)
# add_rostest(cloud_nodelet_hz.test)
# add_rostest(cloud_node_32e_hz.test)
# add_rostest(cloud_nodelet_32e_hz.test)
# add_rostest(cloud_node_64e_s2.1_hz.test)
# add_rostest(cloud_nodelet_64e_s2.1_hz.test)
# add_rostest(cloud_node_vlp16_hz.test)
# add_rostest(cloud_nodelet_vlp16_hz.test)
# add_rostest(transform_node_hz.test)
# add_rostest(transform_nodelet_hz.test)
# add_rostest(two_nodelet_managers.test)

# # parse check all the launch/*.launch files
# roslaunch_add_file_check(../launch)

=== src/lib/CMakeLists.txt ===
add_library(velodyne_rawdata SHARED
  rawdata.cpp
  calibration.cpp)
ament_target_dependencies(velodyne_rawdata
  angles
  geometry_msgs
  rclcpp
  sensor_msgs
  tf2
  tf2_ros
  velodyne_msgs
)

add_library(velodyne_cloud_types SHARED
  pointcloudXYZIR.cpp
  organized_cloudXYZIR.cpp
)
ament_target_dependencies(velodyne_cloud_types
  rclcpp
  sensor_msgs
  tf2
  velodyne_msgs
)

install(TARGETS velodyne_cloud_types velodyne_rawdata
  RUNTIME DESTINATION bin
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib)

=== debian/changelog ===
ros-dashing-velodyne-pointcloud (2.0.0-1bionic) bionic; urgency=high

  * More fixing of dependencies. (#333 <https://github.com/ros-drivers/velodyne/issues/333>)
    * More fixing of dependencies.
  * Fixes pointed out by clang-tidy (#310 <https://github.com/ros-drivers/velodyne/issues/310>)
    * Rearrange header includes so clang-tidy is happy.
    * Get rid of unnecessary void arguments on methods.
    * Properly mark methods as override where appropriate.
    * Initialize members and stack variables to zero before use.
    * Mark function implementations in header files 'inline'.
    * Use more efficient 'empty' method instead of empty string.
    * Get rid of unnecessary else statements after a continue/return.
    * Get rid of unnecessary == false use.
    * Make sure to add a virtual destructor to DataContainerBase.
    * Use string != comparison instead of 'compare' method.
    * Rename PointcloudXYZIR parameter name to match implementation.
    * Get rid of usage of typedef.
    * Be more explicit about using floats.
    * Do an explicit lround to do int->float conversion.
    * Fix the intensity calculation.
    * Remove the azimuth from addPoint.
    * Make sure to reset the cloud data to 0 before reusing.
    * Use underscores on pointcloud member variables.
    * Using std::lround means we don't need to add 0.5 to the result.
    * Slightly rearrange and simplify range checks.
    * Add in example launch files for VLP32C.
  * A few more minor style updates. (#308 <https://github.com/ros-drivers/velodyne/issues/308>)
    - Get rid of the last users of new in the codebase
    - Get rid of the users of 'using' in the codebase
    - Rename 'calibrationFile' -> 'calibration_file'
  * Dashing fixes (#307 <https://github.com/ros-drivers/velodyne/issues/307>)
    * Use std::make_unique as appropriate.
    * Fix the azimuth calculation.
    * Fix a crash during driver startup.
    * Always recalculate the row_step while setting up the cloud.
    * Make sure to call computeTransformation.
    * Fix style errors pointed out by flake8.
  * ROS2: Add Linters to velodyne_pointcloud (#304 <https://github.com/ros-drivers/velodyne/issues/304>)
    * VP: Renaming files.
    * VP: Fixed copyrights.
    * VP: cpplint is satisfied!
    * VP: Converted gen_calibration.py to Python3.
    * Uncrustify fixed!
    * VP: Lint errors clear.
    * VP: Moving organized_cloud and pointcloud to lib and building as library.
  * Check for intra-process subscribers
  * Add in example launch files.
  * Disable copy, move, and assign operators.
  * Build the components so the velodyne can be run as a component.
  * Add in NodeOptions to node constructors.
  * Only find the "common" component to PCL.
  * Make sure to install the header files for laserscan and pointcloud.
  * Properly setup the row_step.
  * Add explicit, final, and override to classes where appropriate.
  * Remove organize_cloud, fixed_frame, and target_frame configs.
  * Stop storing view_{direction,width} in the Node classes.
  * Stop storing {min,max}_range in the Node classes.
  * Make DataContainerBase::configure const reference string parameters.
  * Switch argument order to always be (min,max)
  * Remove tmp_{min,max}_angle from stored RawData config.
  * Remove unused tf_ptr.
  * Switch container_ptr to a unique_ptr.
  * container_ptr -> container_ptr_
  * Don't store number of lasers in the Transfrom/Convert node.
  * Make the RawData class RAII-style.
  * Make RawData::setup not return the number of lasers.
  * Remove unused laser_corrections_maps.
  * Remove the calibration read method.
  * Make the Calibration class only have the RAII-style constructor.
  * Remove unnecessary ros_info parameter from Calibration.
  * Remove unused calibration write method.
  * Remove unused setupOffline method.
  * Remove calibrationFile from rawdata config.
  * Switch to using nullptr everywhere.
  * fixed timpepoint issue
  * Remove dead store from rawdata.cc
  * Rename nodes.
  * Switch organize_cloud to true by default.
  * Update the documentation for ROS 2.
  * Remove debugging statements.
  * Fix dead pointers in calibration.cc.
  * Merge pull request #251 <https://github.com/ros-drivers/velodyne/issues/251> from clalancette/dashing-devel3
    ROS 2 Dashing port
  * Merge pull request #214 <https://github.com/ros-drivers/velodyne/issues/214> from spuetz/feature/opc_nopcl
    Container cleanup and organized pointclouds
  * Merge pull request #236 <https://github.com/ros-drivers/velodyne/issues/236> from mpitropov/fix_transform_node_frame_bug
    set correct output frame
  * Merge pull request #234 <https://github.com/ros-drivers/velodyne/issues/234> from kmhallen/c++11
    Set minimum C++ standard to C++11
  * Merge pull request #231 <https://github.com/ros-drivers/velodyne/issues/231> from ros-drivers/ci/test_better_output
    CI: Adding roslint as separate step. Limiting output of catkin build.
  * Merge pull request #227 <https://github.com/ros-drivers/velodyne/issues/227> from ros-drivers/roslint
    Applying roslint to velodyne_pointcloud.
  * Merge pull request #223 <https://github.com/ros-drivers/velodyne/issues/223> from mpitropov/feat_Add_fixed_frame
    Add fixed frame and use ros message time within transform node
  * Merge pull request #224 <https://github.com/ros-drivers/velodyne/issues/224> from mpitropov/feat_add_diagnostics
    Added diagnostic publishing
  * Merge pull request #222 <https://github.com/ros-drivers/velodyne/issues/222> from mpitropov/feat_Use_GPS_time
    Add flag to enable using GPS time from within the Velodyne packet instead of ROS time for scan.
  * Contributors: Andreas Klintberg, Chris Lalancette, Ian Colwell, Joshua Whitley, Kevin Hallenbeck, Matthew Pitropov, P. J. Reed, Sebastian, Sebastian Pütz

 -- Josh Whitley <jwhitley@autonomoustuff.com>  Fri, 10 Jul 2020 05:00:00 -0000

ros-dashing-velodyne-pointcloud (1.5.2-1bionic) bionic; urgency=high



=== debian/control ===
Source: ros-dashing-velodyne-pointcloud
Section: misc
Priority: optional
Maintainer: Josh Whitley <jwhitley@autonomoustuff.com>
Build-Depends: debhelper (>= 9.0.0), libpcl-dev, libyaml-cpp-dev, ros-dashing-ament-cmake, ros-dashing-ament-cmake-gtest, ros-dashing-ament-lint-auto, ros-dashing-ament-lint-common, ros-dashing-angles, ros-dashing-diagnostic-updater, ros-dashing-geometry-msgs, ros-dashing-message-filters, ros-dashing-rclcpp, ros-dashing-rclcpp-components, ros-dashing-sensor-msgs, ros-dashing-tf2, ros-dashing-tf2-ros, ros-dashing-velodyne-msgs, ros-dashing-ros-workspace
Homepage: http://ros.org/wiki/velodyne_pointcloud
Standards-Version: 3.9.2

Package: ros-dashing-velodyne-pointcloud
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libpcl-dev, libyaml-cpp-dev, ros-dashing-angles, ros-dashing-diagnostic-updater, ros-dashing-geometry-msgs, ros-dashing-message-filters, ros-dashing-rclcpp, ros-dashing-rclcpp-components, ros-dashing-sensor-msgs, ros-dashing-tf2, ros-dashing-tf2-ros, ros-dashing-velodyne-msgs, ros-dashing-ros-workspace
Description: Point cloud conversions for Velodyne 3D LIDARs.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/dashing/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/dashing" \
		-DAMENT_PREFIX_PATH="/opt/ros/dashing"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-dashing-velodyne-pointcloud//opt/ros/dashing/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_install
